Subject: Re: bug#40692: 28.0.50; Constant list modified inside function

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Aug 2021 00:18:07 +0200

Štěpán Němec <[email-masked]> writes:

>> Yes, I had been bitten by this as well some time ago.  I don't find the
>> discussion anymore, I had asked somewhere and the answer was that it's
>> an intended feature of backquote to produce an expansion like that.
>
> The "optimization" in absence of unquoted terms seems reasonable, and
> e.g. SBCL behaves the same.

So it seems like this behaves as intended, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no